# NewsSubtypeData Struct Reference

Data common to all news items of a given subtype (structure). More...

## Data Fields
NewsType | type
| News category.
NewsMode | display_mode
| Display mode value.
NewsFlag | flags
| Initial NewsFlags bits.
DrawNewsCallbackProc * | callback
| Call-back function.

## Detailed Description

Data common to all news items of a given subtype (structure).

Definition at line 113 of file news_gui.cpp.

## Field Documentation

NewsType NewsSubtypeData::type

News category.

See also:
  NewsType

Definition at line 114 of file news_gui.cpp.

Referenced by MoveToNextItem(), and ShowNewspaper().

NewsMode NewsSubtypeData::display_mode

Display mode value.

See also:
  NewsMode

Definition at line 115 of file news_gui.cpp.

Referenced by ShowNewspaper().

NewsFlag NewsSubtypeData::flags

Initial NewsFlags bits.

See also:
  NewsFlag

Definition at line 116 of file news_gui.cpp.

Referenced by AddNewsItem().

The documentation for this struct was generated from the following file:

- src/news_gui.cpp